PX_SET_TARGETENCODING(3)

NAME
PX_set_targetencoding — Set encoding for output

SYNOPSIS

#include <paradox.h>

int PX_set_targetencoding(pxdoc_t *pxdoc, const char *encoding)

DESCRIPTION

Sets the target encoding for all alpha fields. It is used when data is retrieved from a record. The encoding must be a name as it is described by the man and info pages of
recode or iconv     whatever is used. Acommon value is `latin1' on Unixx
systems. If you do not set the encoding the function PX_get_data_alpha(3) will return field data in the origina encoding otherwise iit will recodetthe field data.

This function is a short cut form PX_set_parameter(pxdoc, "targetencoding", encoding) and is deprecated.

RETURN VALUE

Returns -2 if recoding is not supported and a value < 0 in case of an error, otherwise 0.

SEE ALSO

PX_get_data_alpha(3), PX_set_inputencoding(3), PX_set_parameter(3), iconv(1), recode(1)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.